Bug 1258878 - Review Request: golang-github-coreos-go-iptables - Go wrapper around iptables utility
Review Request: golang-github-coreos-go-iptables - Go wrapper around iptables...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Boris Ranto
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1258876
  Show dependency treegraph
 
Reported: 2015-09-01 08:52 EDT by Jan Chaloupka
Modified: 2017-03-08 10:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-08 10:48:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
branto: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Chaloupka 2015-09-01 08:52:49 EDT
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-coreos-go-iptables/golang-github-coreos-go-iptables.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-coreos-go-iptables/golang-github-coreos-go-iptables-0-0.1.git74b0926.fc20.src.rpm

Description: Go wrapper around iptables utility

Fedora Account System Username: jchaloup

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=10913327

$ rpmlint golang-github-coreos-go-iptables-0-0.1.git74b0926.fc20.src.rpm golang-github-coreos-go-iptables-devel-0-0.1.git74b0926.fc20.noarch.rpm golang-github-coreos-go-iptables-unit-test-0-0.1.git74b0926.fc20.x86_64.rpm
golang-github-coreos-go-iptables-devel.noarch: W: spelling-error %description -l en_US invokation -> invocation, invitation, innovation
golang-github-coreos-go-iptables-unit-test.x86_64: E: devel-dependency golang-github-coreos-go-iptables-devel
3 packages and 0 specfiles checked; 1 errors, 1 warnings.

Notes: unit-test depends on devel as it tests source codes from devel.
Comment 1 Boris Ranto 2015-09-01 09:15:09 EDT
This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode, /usr/share/gocode/src/github.com
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in golang-
     github-coreos-go-iptables-devel , golang-github-coreos-go-iptables-
     unit-test
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-coreos-go-iptables-devel-0-0.1.git74b0926.fc24.noarch.rpm
          golang-github-coreos-go-iptables-unit-test-0-0.1.git74b0926.fc24.x86_64.rpm
          golang-github-coreos-go-iptables-0-0.1.git74b0926.fc24.src.rpm
golang-github-coreos-go-iptables-devel.noarch: W: spelling-error %description -l en_US invokation -> invocation, invitation, innovation
golang-github-coreos-go-iptables-unit-test.x86_64: E: devel-dependency golang-github-coreos-go-iptables-devel
3 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
golang-github-coreos-go-iptables-unit-test.x86_64: E: devel-dependency golang-github-coreos-go-iptables-devel
2 packages and 0 specfiles checked; 1 errors, 0 warnings.



Requires
--------
golang-github-coreos-go-iptables-devel (rpmlib, GLIBC filtered):

golang-github-coreos-go-iptables-unit-test (rpmlib, GLIBC filtered):
    golang-github-coreos-go-iptables-devel



Provides
--------
golang-github-coreos-go-iptables-devel:
    golang(github.com/coreos/go-iptables/iptables)
    golang-github-coreos-go-iptables-devel

golang-github-coreos-go-iptables-unit-test:
    golang-github-coreos-go-iptables-unit-test
    golang-github-coreos-go-iptables-unit-test(x86-64)



Source checksums
----------------
https://github.com/coreos/go-iptables/archive/74b0926558061d3a23824e9c18c9cf9c1b9c11f4/go-iptables-74b0926.tar.gz :
  CHECKSUM(SHA256) this package     : 541ddf545a767f250d61df2a292730f8d5b3356f4e7dc3654aec475eaf9368cd
  CHECKSUM(SHA256) upstream package : 541ddf545a767f250d61df2a292730f8d5b3356f4e7dc3654aec475eaf9368cd


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -b 1258878
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Jan Chaloupka 2015-09-01 09:22:25 EDT
New Package SCM Request
=======================
Package Name: golang-github-coreos-go-iptables
Short Description: Go wrapper around iptables utility
Upstream URL: https://github.com/coreos/go-iptables
Owners: fpokorny jchaloup
Branches: f23 f22 f21 el6
InitialCC: golang-sig
Comment 3 Gwyn Ciesla 2015-09-01 10:35:51 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2015-09-01 13:34:26 EDT
golang-github-coreos-go-iptables-0-0.1.git74b0926.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14792
Comment 5 Fedora Update System 2015-09-01 13:37:47 EDT
golang-github-coreos-go-iptables-0-0.1.git74b0926.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14793
Comment 6 Fedora Update System 2015-09-01 13:49:47 EDT
golang-github-coreos-go-iptables-0-0.1.git74b0926.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7890
Comment 7 Fedora Update System 2015-09-01 13:51:59 EDT
golang-github-coreos-go-iptables-0-0.1.git74b0926.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14795
Comment 8 Fedora Update System 2015-09-01 15:49:14 EDT
golang-github-coreos-go-iptables-0-0.1.git74b0926.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang-github-coreos-go-iptables'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14793
Comment 9 Fedora Update System 2015-09-01 16:21:49 EDT
golang-github-coreos-go-iptables-0-0.1.git74b0926.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang-github-coreos-go-iptables'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14795
Comment 10 Fedora Update System 2015-09-02 04:47:23 EDT
golang-github-coreos-go-iptables-0-0.1.git74b0926.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang-github-coreos-go-iptables'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7890
Comment 11 Fedora Update System 2015-09-02 12:21:20 EDT
golang-github-coreos-go-iptables-0-0.1.git74b0926.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang-github-coreos-go-iptables'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14792
Comment 12 Fedora Update System 2015-10-03 13:59:52 EDT
golang-github-coreos-go-iptables-0-0.1.git74b0926.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-10-23 12:22:19 EDT
golang-github-coreos-go-iptables-0-0.1.git74b0926.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-10-23 13:26:23 EDT
golang-github-coreos-go-iptables-0-0.1.git74b0926.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-12-14 10:16:50 EST
golang-github-coreos-go-iptables-0-0.6.gitfbb7337.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4ef312648d
Comment 16 Fedora Update System 2016-12-14 21:49:11 EST
golang-github-coreos-go-iptables-0-0.6.gitfbb7337.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4ef312648d
Comment 17 Fedora Update System 2017-03-08 10:48:16 EST
golang-github-coreos-go-iptables-0-0.6.gitfbb7337.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.